<?php
/*------------------------------------------------------------------------
# JA Iris for Joomla 1.5 - Version 1.4 - Licence Owner JA102393
# ------------------------------------------------------------------------
# Copyright (C) 2004-2008 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Author: J.O.O.M Solutions Co., Ltd
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# This file may not be redistributed in whole or significant part.
-------------------------------------------------------------------------*/

include_once (dirname(__FILE__).DS.'/ja_vars.php');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">

<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/editor.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/template_css.css" type="text/css" />
<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/scripts/ja.script.js"></script>
<?php $tmpTools->genMenuHead(); ?>
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo $tmpTools->getParam(JA_TOOL_COLOR); ?>.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/editor_content.css" type="text/css" />

<!--[if lte IE 6]>
<style type="text/css">
.clearfix {height: 1%;}
</style>
<![endif]-->

<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {display: inline-block;}
</style>
<![endif]-->
</head>

<body id="bd" class="<?php echo $tmpTools->getParam(JA_TOOL_SCREEN);?> fs<?php echo $tmpTools->getParam(JA_TOOL_FONT);?>">
<a name="Top" id="Top"></a>
<ul class="accessibility">
	<li><a href="#ja-content" title="<?php echo JText::_("Skip to content");?>"><?php echo JText::_("Skip to content");?></a></li>
	<li><a href="#ja-mainnav" title="<?php echo JText::_("Skip to main navigation");?>"><?php echo JText::_("Skip to main navigation");?></a></li>
	<li><a href="#ja-col1" title="<?php echo JText::_("Skip to 1st column");?>"><?php echo JText::_("Skip to 1st column");?></a></li>
	<li><a href="#ja-col2" title="<?php echo JText::_("Skip to 2nd column");?>"><?php echo JText::_("Skip to 2nd column");?></a></li>
</ul>

<div id="ja-wrapper">

<!-- BEGIN: HEADER -->
<div id="ja-header" class="clearfix">

	<h1><a href="index.php"><?php echo $mainframe->getCfg('sitename')?></a></h1>
	  <?php if ($tmpTools->getParam(JA_TOOL_USER)) { ?>
	  
    	<div id="ja-usertools">
    		<?php $tmpTools->genToolMenu($tmpTools->getParam(JA_TOOL_USER)); ?>
    	</div><div class="clr"></div>
	  <?php } ?>
	
	<?php if ($this->countModules('user4')) { ?>
	<div id="ja-search">
		<jdoc:include type="modules" name="user4" />
	</div>
	<?php } ?>

	<!-- BEGIN: MAIN NAVIGATION -->
	<div id="ja-mainnav" class="clearfix">
		<?php
			switch ($tmpTools->getParam(JA_TOOL_MENU)) {
				case 1: 
					include(dirname(__FILE__).DS."/ja_Splitmenu.php");
						$jamenu->genMenu (0);  		
					break;
				case 2:
				case 4:
					include(dirname(__FILE__).DS."/ja_cssmenu.php");
					$jamenu->genMenu (0);
					break;
				case 3:
					include(dirname(__FILE__).DS."/ja_scriptdlmenu.php");
					$jamenu->genMenu (0, 0);
					break;
			}
  	  ?>
	</div>
	<!-- END: MAIN NAVIGATION -->

</div>
<!-- END: HEADER -->

<?php if (($jamenu->hasSubMenu (1) && $tmpTools->getParam(JA_TOOL_MENU) == 1) || $tmpTools->getParam(JA_TOOL_MENU) == 3) {?>
<div id="ja-subnav" class="clearfix">	
	<?php $jamenu->genMenu (1,1);	?>
</div>
<?php } ?>

<?php if ($this->countModules('top')) { ?>
<!-- BEGIN: TOP SPOTLIGHT -->
<div id="ja-topsl" style="background: url(<?php echo $tmpTools->templateurl();?>/images/headers/<?php echo $tmpTools->getRandomImage(dirname(__FILE__).'/images/headers/'); ?>) no-repeat right top;">
		<jdoc:include type="modules" name="top"  style="xhtml"/>
</div>
<!-- END: TOP SPOTLIGHT -->
<?php } ?>

<div id="ja-containerwrap<?php echo $divid ?>">
	<div id="ja-container" class="clearfix">

	<!-- BEGIN: CONTENT -->
	<div id="ja-contentwrap" class="clearfix">

		<div id="ja-content">
			<div class="innerpad">
			<?php if(!$tmpTools->isFrontPage()){ ?>
				<div id="ja-pathway">
				<jdoc:include type="module" name="breadcrumbs" />
				</div>
				<?php } ?>
			<jdoc:include type="message" />	
			<jdoc:include type="component" />
      </div>
		</div>
		
 		<?php if ($ja_left) { ?>
		<div id="ja-col1">
			<jdoc:include type="modules" name="left" style="xhtml" />
		</div>
		<?php } ?>
		
	</div>
	<!-- END: CONTENT -->

	<!-- BEGIN: COLUMNS -->
	<div id="ja-mascol">
    <?php if ($ja_mascol) { ?>
    <div id="ja-col3">
		<jdoc:include type="modules" name="user1"  style="xhtml" />
		<jdoc:include type="modules" name="user2"  style="xhtml" />
		<jdoc:include type="modules" name="user5"  style="xhtml" />
    </div>
    <?php } ?>
    
		<?php if ($ja_right) { ?>
		<div id="ja-col2">
			<jdoc:include type="modules" name="right" style="xhtml" />
		</div>
		<?php } ?>
	</div>
	<!-- END: COLUMNS -->

	</div>
</div>
<div style="clear: both;"></div>

<?php
$spotlight = array ('user6','user7','user8','user9','user10');
$botsl = $tmpTools->calSpotlight ($spotlight,100);
if( $botsl ) {
?>
<!-- BEGIN: BOTTOM SPOTLIGHT -->
<div id="ja-botsl" class="clearfix">

<?php if( $this->countModules('user6') ) {?>
  <div class="ja-box<?php echo $botsl['user6']['class']; ?>" style="width: <?php echo $botsl['user6']['width']; ?>;">
	<jdoc:include type="modules" name="user6" style="xhtml" />
  </div>
  <?php } ?>

  <?php if( $this->countModules('user7') ) {?>
  <div class="ja-box<?php echo $botsl['user7']['class']; ?>" style="width: <?php echo $botsl['user7']['width']; ?>;">
	<jdoc:include type="modules" name="user7" style="xhtml" />
  </div>
  <?php } ?>

  <?php if( $this->countModules('user8') ) {?>
  <div class="ja-box<?php echo $botsl['user8']['class']; ?>" style="width: <?php echo $botsl['user8']['width']; ?>;">
	<jdoc:include type="modules" name="user8" style="xhtml" />
  </div>
  <?php } ?>

  <?php if( $this->countModules('user9') ) {?>
  <div class="ja-box<?php echo $botsl['user9']['class']; ?>" style="width: <?php echo $botsl['user9']['width']; ?>;">
	<jdoc:include type="modules" name="user9" style="xhtml" />
  </div>
  <?php } ?>
  
  <?php if( $this->countModules('user10') ) {?>
  <div class="ja-box<?php echo $botsl['user10']['class']; ?>" style="width: <?php echo $botsl['user10']['width']; ?>;">
	<jdoc:include type="modules" name="user10" style="xhtml" />
  </div>
  <?php } ?>

</div>
<!-- END: BOTTOM SPOTLIGHT -->
<?php } ?>

<!-- BEGIN: FOOTER -->
<div id="ja-footerwrap">
	<div id="ja-footer" class="clearfix">
	
		<?php if ( $this->countModules("banner") ) { ?>
		<div class="ja-banner">
				<jdoc:include type="modules" name="banner" />
   	</div>
    <?php } ?>
    
				<jdoc:include type="modules" name="user3" />
    
	<small>
		<?php include (dirname(__FILE__).DS.'/footer.php');?>
	</small>

	</div> 
</div>
<!-- END: FOOTER -->

</div>

<jdoc:include type="modules" name="debug" />
</body>

</html>

<?php

?>
